package com.slideme.demo.controller;

import android.app.Activity;
import android.content.pm.PackageInfo;
import android.os.Bundle;
import android.util.Printer;
import android.widget.TextView;
import com.slideme.demo.model.interaction.SamInteractor;
import com.slideme.demo.R;

public class CheckForSamActivity extends Activity {

    public void onCreate(Bundle savedInstanceState) {
        setTitle("SlideME SAM Check Demo");
        setContentView(R.layout.check4sam);
        super.onCreate(savedInstanceState);

        final SamInteractor interactor = new SamInteractor(getPackageManager());

        final TextView text = (TextView) findViewById(R.id.text_container);
        PackageInfo sam;
        if (null != (sam = interactor.getSAMPackage())) {
            text.append("SAM-" + sam.versionName + "_r" + sam.versionCode + '\n');
            sam.applicationInfo.dump(new Printer() {
                public void println(String s) {
                    text.append('\n' + s);
                }
            }, "");
        } else {
            text.setText("SAM Not found.");
        }

    }
}
